chronoMPL {ape} | R Documentation

## Molecular Dating With Mean Path Lengths

### Description

This function estimates the node ages of a tree using the mean path lengths method of Britton et al. (2002). The branch lengths of the input tree are interpreted as (mean) numbers of substitutions.

### Usage

    chronoMPL(phy, se = TRUE, test = TRUE)

### Arguments

`phy` | an object of class `"phylo"`.
`se` | a logical specifying whether to compute the standard-errors of the node ages (`TRUE` by default).
`test` | a logical specifying whether to test the molecular clock at each node (`TRUE` by default).

### Details

The mean path lengths (MPL) method estimates the age of a node with the mean of the distances from this node to all tips descending from it. Under the assumption of a molecular clock, standard-errors of the estimates node ages can be computed (Britton et al. 2002).

The tests performed if `test = TRUE` is a comparison of the MPL of the two subtrees originating from a node; the null hypothesis is that the rate of substitution was the same in both subtrees (Britton et al. 2002). The test statistic follows, under the null hypothesis, a standard normal distribution. The returned P-value is the probability of observing a greater absolute value (i.e., a two-sided test). No correction for multiple testing is applied: this is left to the user.

Absolute dating can be done by multiplying the edge lengths found by calibrating one node age.

### Value

an object of class `"phylo"` with branch lengths as estimated by the function. There are, by default, two attributes:

`stderr` | the standard-errors of the node ages.
`Pval` | the P-value of the test of the molecular clock for each node.

### Note

The present version requires a dichotomous tree.

### Author(s)

Emmanuel Paradis

### References

Britton, T., Oxelman, B., Vinnersten, A. and Bremer, K. (2002) Phylogenetic dating with confidence intervals using mean path lengths. Molecular Phylogenetics and Evolution, 24, 58–65.

### See Also

`chronopl`

### Examples

    tr <- rtree(10)
    tr$edge.length <- 5*tr$edge.length
    chr <- chronoMPL(tr)
    layout(matrix(1:4, 2, 2, byrow = TRUE))
    plot(tr)
    title("The original tree")
    plot(chr)
    axisPhylo()
    title("The dated MPL tree")
    plot(chr)
    nodelabels(round(attr(chr, "stderr"), 3))
    title("The standard-errors")
    plot(tr)
    nodelabels(round(attr(chr, "Pval"), 3))
    title("The tests")
    layout(1)

[Package ape version 5.0 Index]